Package org.apache.maven.scm.provider.svn.svnexe.command

## Class AbstractFileCheckingConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

Direct Known Subclasses:
  `SvnCheckInConsumer`, `SvnCheckOutConsumer`, `SvnUpdateConsumer`

    public abstract class AbstractFileCheckingConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Kenney Westerhof

### Field Summary

Fields
`protected ScmLogger` `logger`
`protected int` `revision`
`protected java.io.File` `workingDirectory`

### Constructor Summary

Constructors
`AbstractFileCheckingConsumer​(ScmLogger logger, java.io.File workingDirectory)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addFile​(ScmFile file)`
`void` `consumeLine​(java.lang.String line)`
`protected java.util.List<ScmFile>` `getFiles()`
`int` `getRevision()`
`java.io.File` `getWorkingDirectory()`
`protected int` `parseInt​(java.lang.String revisionString)`
`protected abstract void` `parseLine​(java.lang.String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected ScmLogger logger

#### workingDirectory

    protected java.io.File workingDirectory

#### revision

    protected int revision

### Constructor Detail

#### AbstractFileCheckingConsumer

    public AbstractFileCheckingConsumer​(ScmLogger logger,
                                        java.io.File workingDirectory)

### Method Detail

#### consumeLine

    public final void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### parseLine

    protected abstract void parseLine​(java.lang.String line)

#### getFiles

    protected java.util.List<ScmFile> getFiles()

#### parseInt

    protected final int parseInt​(java.lang.String revisionString)

#### addFile

    protected void addFile​(ScmFile file)

#### getRevision

    public final int getRevision()

#### getWorkingDirectory

    public java.io.File getWorkingDirectory()